
(* The type of tokens. *)

type token = 
  | VALUES
  | TYPE
  | STRING
  | RIGHT_BRACKET
  | RANGE
  | LF
  | LEFT_BRACKET
  | INT
  | IDENT of (string)
  | EQUALS
  | EOF
  | DATE
  | COMMA

(* This exception is raised by the monolithic API functions. *)

exception Error

(* The monolithic API. *)

val main: (Lexing.lexbuf -> token) -> Lexing.lexbuf -> (Ast.data)
